Package org.eclipse.cdt.core.dom.ast

## Interface IASTPreprocessorMacroExpansion

All Superinterfaces:
  `IASTNode`

    public interface IASTPreprocessorMacroExpansion
    extends IASTNode

Models macro expansion found in the source code that is not nested inside another expansion.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static IASTPreprocessorMacroExpansion[]` `EMPTY_ARRAY`
`static ASTNodeProperty` `EXPANSION_NAME`
`static ASTNodeProperty` `NESTED_EXPANSION_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTPreprocessorMacroDefinition` `getMacroDefinition()` Returns the macro definition used for the expansion.
`IASTName` `getMacroReference()` Returns the reference to the macro that causes this expansion.
`IASTName[]` `getNestedMacroReferences()` Returns an array of nested macro expansions.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_ARRAY

    static final IASTPreprocessorMacroExpansion[] EMPTY_ARRAY

#### EXPANSION_NAME

    static final ASTNodeProperty EXPANSION_NAME

#### NESTED_EXPANSION_NAME

    static final ASTNodeProperty NESTED_EXPANSION_NAME

### Method Detail

#### getMacroDefinition

    IASTPreprocessorMacroDefinition getMacroDefinition()

Returns the macro definition used for the expansion.

#### getMacroReference

    IASTName getMacroReference()

Returns the reference to the macro that causes this expansion.

#### getNestedMacroReferences

    IASTName[] getNestedMacroReferences()

Returns an array of nested macro expansions.